SourceForge has been redesigned. Learn more.
Close

#208 Progress bar displays incorrect running time

All versions
closed-fixed
O. Givi
5
2013-12-24
2013-01-08
No

1.45 has been running for about 1.5 or 2 hours. The progress bar shows "22:58:09". The time remaining has jumped all over the place, from 15 hours to 15 minutes. Sync is between two disks on the same system (one is USB, the other eSATA). Overall progress bar is about right in size: it shows the job is about 60% done. Sync job is about 2.5TB in 3,677 files with a filter (filter excludes _gsdata_ directories).

I suspect the problem occurs when the line is updated and the display length changes: the first byte is not overwritten by a space so it goes from 2:00:00 to 22:00:00 or something like that. The centering results in the first character remaining from the old display. Force a leading zero on the hours or force a longer display field to write spaces.

OS: Windows Server 2008 R2
CPU: AMD Phenom X4
RAM: 8GB
Source disk: 6TB RAID5 (USB)
Destination disk: 6TB RAID5 (eSata)

Discussion

  • HT1

    HT1 - 2013-08-21

    i've just noticed that myself, its been running for about 1hour and 13mins now and shows 20:13:21 in total progress

     
  • O. Givi

    O. Givi - 2013-12-24

    This issue should have been fixed in the recent versions. 1.47b3 is already released.

     
  • O. Givi

    O. Givi - 2013-12-24
    • status: open --> closed-fixed
    • assigned_to: O. Givi
    • Group: --> All versions
     

Log in to post a comment.